[Lazarus] Error compiling Lazarus: makefile:29: *** You need the GNU utils package to use this Makefile. Stop.

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Lazarus] Error compiling Lazarus: makefile:29: *** You need the GNU utils package to use this Makefile. Stop.

Peter Williams
Lazarus 0.9.31

I have done a SVN Update on my c:\freepascal\laz folder and Lazarus is still dated 2011-02-13

I have downloaded GNU Make for Windows and GNU Utils and when I do a "Tools / Build All with profile Build All" get this error:

makefile:29: *** You need the GNU utils package to use this Makefile.  Stop.

Best Regards,
Peter E Williams
Hobart, Australia


--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] Error compiling Lazarus: makefile:29: *** You need the GNU utils package to use this Makefile. Stop.

Marco van de Voort
In our previous episode, Peter Williams said:
>
> Lazarus 0.9.31
> I have done a SVN Update on my c:\freepascal\laz folder and Lazarus is still dated 2011-02-13

So far so good.

> I have downloaded GNU Make for Windows and GNU Utils

There should be no reason to do that. If you do that, you are asking for
trouble. Use the tried and tested versions that come with FPC releases
unless you know what you are doing.


--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

[Lazarus] SOLVED RE: Error compiling Lazarus: makefile:29: *** You need the GNU utils package to use this Makefile. Stop.

Peter Williams
Hi,

SOLVED.

> To: [hidden email]
> Date: Fri, 25 Feb 2011 18:09:20 +0100
> From: [hidden email]
> Subject: Re: [Lazarus] Error compiling Lazarus: makefile:29: *** You need the GNU utils package to use this Makefile. Stop.
>
> In our previous episode, Peter Williams said:
> >
> > Lazarus 0.9.31
> > I have done a SVN Update on my c:\freepascal\laz folder and Lazarus is still dated 2011-02-13
>
> So far so good.
>
> > I have downloaded GNU Make for Windows and GNU Utils
>
> There should be no reason to do that. If you do that, you are asking for
> trouble. Use the tried and tested versions that come with FPC releases
> unless you know what you are doing.

Thanks, I was unaware that make.exe comes with FPC installation.

I found it here:

C:\freepascal\binutils\i386-win32\make.exe

>
>
> --
> _______________________________________________
> Lazarus mailing list
> [hidden email]
> http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus


--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus